#!/bin/sh

 # Copyright (c) 2011 Forschungszentrum Juelich GmbH All rights
 # reserved.

 # Redistribution and use in source and binary forms, with or without
 # modification, are permitted provided that the following conditions
 # are met:
 
 # (1) Redistributions of source code must retain the above copyright
 # notice, this list of conditions and the disclaimer at the
 # end. Redistributions in binary form must reproduce the above
 # copyright notice, this list of conditions and the following
 # disclaimer in the documentation and/or other materials provided
 # with the distribution.
 
 # (2) Neither the name of Forschungszentrum Juelich GmbH nor the
 # names of its contributors may be used to endorse or promote
 # products derived from this software without specific prior written
 # permission.
 
 # DISCLAIMER
 
 # THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 # "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 # LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 # FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 # COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 # INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 # (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 # SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 # HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 # STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 # ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 # OF THE POSSIBILITY OF SUCH DAMAGE.

## create package directory structure
# package.root
# ├── etc
# │   ├── init.d
# │   │   └── unicore-tsi
# │   └── unicore
# │       └── tsi
# ├── usr
# │   ├── sbin
# │   │   ├── unicore_tsi_start
# │   │   └── unicore_tsi_stop
# │   └── share
# │       └── unicore
# │           └── tsi
# └── var
#     └── log
#         └── unicore
PKG_ROOT=package.root

rm -rf ${PKG_ROOT}

mkdir -p ${PKG_ROOT}/etc/init.d
mkdir -p ${PKG_ROOT}/etc/unicore/tsi
mkdir -p ${PKG_ROOT}/usr/sbin
mkdir -p ${PKG_ROOT}/usr/share/unicore/tsi
mkdir -p ${PKG_ROOT}/var/log/unicore/tsi
mkdir -p ${PKG_ROOT}/usr/share/unicore/tsi_selected

cp -a bin CHANGES conf docs contrib Install_permissions.sh Install.sh LICENCE.FLE README tsi tsi_contrib ${PKG_ROOT}/usr/share/unicore/tsi

if [ "$1" = "deb" ]; then
    cp contrib/linux/init.d/unicore-tsi.debian ${PKG_ROOT}/etc/init.d/unicore-tsi
elif [ "$1" = "openSuSE" ] ; then
    cp contrib/linux/init.d/unicore-tsi.openSuSE_11.3 ${PKG_ROOT}/etc/init.d/unicore-tsi
elif [ "$1" = "sl5" ] ; then
    cp contrib/linux/init.d/unicore-tsi.redhat ${PKG_ROOT}/etc/init.d/unicore-tsi
else
    echo "Need to specify the distribution: deb | openSuSE | sl5 ";
    exit 128
fi

# default tsi.properties
sed -i -e 's/${tsiInstallDirectory}\/logs/\/var\/log\/unicore\/tsi/g' \
    -e 's/${tsiInstallDirectory}/\/usr\/share\/unicore\/tsi_selected/g' \
    -e 's/${uasHost}/localhost/g' \
    -e 's/${tsiNjsPort}/7654/g' \
    -e 's/${tsiMyPort}/4433/g' \
    -e 's/${tsiInstallDirectory} \/logs/\/var\/log\/unicore\/tsi/g' \
    ${PKG_ROOT}/usr/share/unicore/tsi/conf/tsi.properties || exit 128

find ${PKG_ROOT} -type d -name .svn -exec rm -rf {} \; 2>/dev/null

exit 0
